#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <set>
#include <map>

using namespace std;
using ll = long long;

signed main() {
	cin.tie(0);
	ios::sync_with_stdio(0);

	int t, n, m;
	cin >> t >> n >> m;
	vector<int> a(n);
	string s;
	for (int i = 0; i < n; ++i) {
		cin >> a[i];
	}
	cin >> s;
	if (m % 2 == 1) {
		cout << "Yes\n";
		cout << m / 2 + 1;
	}
	else {
		cout << "No";
	}

	return 0;
}
